<div class="userContainer">
    <div class="signInText" [ngClass]="fadeLoginClasses()">
       <h1>Welcome Back</h1>
       <h3>
          To keep connected with us please login with your personal info
       </h3>
       <h4>
          To keep connected with us please login with your personal info
       </h4>
    </div>
    <div class="singupText" [ngClass]="fadeSignupClasses()">
       <h1>Hello!</h1>
       <h3>
          To keep connected with us please login with your personal info
       </h3>
       <h4>
          To keep connected with us please login with your personal info
       </h4>
    </div>
    <div class="navContainer " [ngClass]="navClasses()" >
       <div class="buttonContainer">
          <button mat-button class="navButton" type="buton" (click)="loginToRegister()"></button> 
       </div>
    </div>
    <div class="formContainer"  [ngClass]="formClasses()">
       <ng-container *ngIf="isState == 1; then Signup; else Login">  </ng-container>
       <ng-template #Login>
          <div class="loginContent" fxLayout="column"  fxLayoutAlign="center center">
             <login></login>
          </div>
       </ng-template>
       <ng-template #Signup>
          <div class="signupContent" fxLayout="column"  fxLayoutAlign="center center">
             <signup></signup>
          </div>
       </ng-template>
    </div>
 </div>